下载

下载Bootstrap以获取已编译的CSS和JavaScript,源代码,或将其包含在您最喜欢的包管理器中,如npm,RubyGems等。

编译 CSS 和 JS

下载 Bootstrap v4.1.3 的即用型编译代码,轻松放入您的项目,其中包括:

这不包括文档,源文件或任何可选的JavaScript依赖项(jQuery和Popper.js)。

下载Bootstrap

源文件

通过下载我们的source Sass,JavaScript和文档文件,使用您自己的asset pipeline编译Bootstrap。 此选项需要一些额外的工具:

  • Sass 编译器 (支持Libsass 或者 Ruby Sass) 来编译你的CSS.
  • Autoprefixer for CSS vendor prefixing

如果您需要 构建工具, 它们已经包含在开发Bootstrap及其文档中了,但它们可能真的不太适合您们。

下载Bootstrap源文件

BootstrapCDN

当然你可以使用 BootstrapCDN,那么你就无须再下载Bootstrap了,你只需要将Bootstrap编译好的CSS和JS的缓存版本放到您的项目就可以了。

<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>

如果您正在使用我们编译的JavaScript,请不要忘记在它之前包含jQuery和Popper.js的CDN版本。

<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>

Package 管理器

将Bootstrap的 源文件 引入几乎所有最受欢迎的包管理器的项目中. 无论Package管理器如何, Bootstrap 都需要一个Sass编译器和Autoprefixer 来进行与我们官方编译版本相匹配的设置.

npm

使用 npm 包在Node.js驱动的应用程序中安装Bootstrap:

npm install bootstrap

require('bootstrap') will load all of Bootstrap’s jQuery plugins onto the jQuery object. The bootstrap module itself does not export anything. You can manually load Bootstrap’s jQuery plugins individually by loading the /js/*.js files under the package’s top-level directory.

Bootstrap’s package.json contains some additional metadata under the following keys:

  • sass - path to Bootstrap’s main Sass source file
  • style - path to Bootstrap’s non-minified CSS that’s been precompiled using the default settings (no customization)

RubyGems

Install Bootstrap in your Ruby apps using Bundler (recommended) and RubyGems by adding the following line to your Gemfile:

gem 'bootstrap', '~> 4.1.3'

Alternatively, if you’re not using Bundler, you can install the gem by running this command:

gem install bootstrap -v 4.1.3

See the gem’s README for further details.

Composer

You can also install and manage Bootstrap’s Sass and JavaScript using Composer:

composer require twbs/bootstrap:4.1.3

NuGet

If you develop in .NET, you can also install and manage Bootstrap’s CSS or Sass and JavaScript using NuGet:

Install-Package bootstrap
Install-Package bootstrap.sass